// MainFrm.h : interface of the CMainFrame class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_MAINFRM_H__828BD93E_197B_4188_B55B_014E43D18E5B__INCLUDED_)
#define AFX_MAINFRM_H__828BD93E_197B_4188_B55B_014E43D18E5B__INCLUDED_

#include "FundDialog.h"	// Added by ClassView
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CMainFrame : public CFrameWnd
{
	
protected: // create from serialization only
	CMainFrame();
	DECLARE_DYNCREATE(CMainFrame)

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMainFrame)
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CMainFrame();
     BOOL AreFundsVisible() { return m_bFundsVisible; }

     void SetFundsVisible( BOOL bSet ) 
	 { 
        m_bFundsVisible = bSet; 
        if( bSet ) m_wndFundDialog.ShowWindow( SW_SHOW );
        else m_wndFundDialog.ShowWindow( SW_HIDE );
	 } 
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:  // control bar embedded members
	CStatusBar  m_wndStatusBar;
	CToolBar    m_wndToolBar;

// Generated message map functions
protected:
	CFundDialog m_wndFundDialog;
	BOOL m_bFundsVisible;
	//{{AFX_MSG(CMainFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnViewFundselection();
	afx_msg void OnUpdateViewFundselection(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MAINFRM_H__828BD93E_197B_4188_B55B_014E43D18E5B__INCLUDED_)
